#ifndef _YOLOV5_CLASSIFY_INFERENCE_H_
#define _YOLOV5_CLASSIFY_INFERENCE_H_

#include "AppCommon.h"
#include "inference.h"

class YoloV5ClassifyInference: public Inference
{
public:
    YoloV5ClassifyInference();
    ~YoloV5ClassifyInference();

    int YoloV5ClassifyInferenceInit(ModelCommonInfo* pYoloV5ClassifyModelInfo, std::string strModelName, std::string strEngineName);
    int YoloV5ClassifyInferenceDeinit(void);
    int YoloV5ClassifyInferenceModel(cv::Mat& frame, unsigned int* uiClassLabel);

private:
    ModelCommonInfo*  pYoloV5ClassifyModelInfo_ = nullptr;
    std::vector<double> softMax(std::vector<double> vecInput);
};

#endif  // END OF _YOLOV5_CLERAITY_INFERENCE_H_
